> ## Documentation Index
> Fetch the complete documentation index at: https://www.latitude.sh/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Create team



## OpenAPI

````yaml https://spec.speakeasy.com/latitude/latitude/latitude-sh-api-with-code-samples post /team
openapi: 3.0.1
info:
  title: Latitude.sh API
  version: '2023-06-01'
  description: >-
    The Latitude.sh API is a RESTful API to manage your Latitude.sh account. It
    allows you to perform the same actions as the Latitude.sh dashboard.
servers:
  - url: https://api.latitude.sh
    variables:
      latitude_api_key:
        default: <insert your api key here>
  - url: http://api.latitude.sh
    variables:
      latitude_api_key:
        default: <insert your api key here>
security: []
tags:
  - name: API keys
  - name: Billing
  - name: Elastic Ips
  - name: Events
  - name: Firewalls
  - name: IP Addresses
  - name: Kubernetes Clusters
  - name: Operating Systems
  - name: Plans
  - name: Private Networks
  - name: Projects
  - name: Regions
  - name: Roles
  - name: SSH Keys
  - name: Servers
  - name: Storage
  - name: Tags
  - name: Teams
  - name: Team members
  - name: Traffic
  - name: User data
  - name: User profile
  - name: VPN Sessions
  - name: Virtual machines
paths:
  /team:
    post:
      tags:
        - Teams
      summary: Create team
      operationId: post-team
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                data:
                  type: object
                  properties:
                    type:
                      type: string
                      enum:
                        - teams
                    attributes:
                      type: object
                      properties:
                        name:
                          type: string
                        currency:
                          type: string
                          enum:
                            - USD
                            - BRL
                        address:
                          type: string
                        referred_code:
                          type: string
                          description: Supported only for first team creation
                      required:
                        - name
                        - currency
                  required:
                    - type
              required:
                - data
            examples:
              Created:
                summary: Created
                value:
                  data:
                    type: teams
                    attributes:
                      name: Name
                      address: Address
                      currency: USD
          application/vnd.api+json:
            schema:
              type: object
              properties:
                data:
                  type: object
                  properties:
                    type:
                      type: string
                      enum:
                        - teams
                    attributes:
                      type: object
                      properties:
                        name:
                          type: string
                        currency:
                          type: string
                          enum:
                            - USD
                            - BRL
                        address:
                          type: string
                        referred_code:
                          type: string
                          description: Supported only for first team creation
                      required:
                        - name
                        - currency
                  required:
                    - type
              required:
                - data
            examples:
              Created:
                summary: Created
                value:
                  data:
                    type: teams
                    attributes:
                      name: Name
                      address: Address
                      currency: USD
        required: true
      responses:
        '201':
          description: Created
          content:
            application/vnd.api+json:
              examples:
                Created:
                  value:
                    data:
                      id: team_aEjv7ZKeWzCrjA5ANeMvImmKEoV
                      type: teams
                      attributes:
                        name: Name
                        slug: name
                        address: Address
                        currency: USD
                        token: token-for-team
                        enforce_mfa: false
                        customer_billing_id: cus_hp2b02do
                        referred_code: null
                    meta: {}
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/team'
      security:
        - Bearer: []
      x-codeSamples:
        - lang: python
          label: Python (SDK)
          source: |-
            import latitudesh_python_sdk
            from latitudesh_python_sdk import Latitudesh
            import os


            with Latitudesh(
                bearer=os.getenv("LATITUDESH_BEARER", ""),
            ) as latitudesh:

                res = latitudesh.teams.create(data={
                    "type": latitudesh_python_sdk.PostTeamTeamsType.TEAMS,
                    "attributes": {
                        "name": "Name",
                        "currency": latitudesh_python_sdk.PostTeamTeamsCurrency.USD,
                        "address": "Address",
                    },
                })

                # Handle response
                print(res)
        - lang: go
          label: Go (SDK)
          source: "package main\n\nimport(\n\t\"context\"\n\t\"os\"\n\tlatitudeshgosdk \"github.com/latitudesh/latitudesh-go-sdk\"\n\t\"github.com/latitudesh/latitudesh-go-sdk/models/operations\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := latitudeshgosdk.New(\n        latitudeshgosdk.WithSecurity(os.Getenv(\"LATITUDESH_BEARER\")),\n    )\n\n    res, err := s.Teams.Create(ctx, operations.PostTeamTeamsRequestBody{\n        Data: operations.PostTeamTeamsData{\n            Type: operations.PostTeamTeamsTypeTeams,\n            Attributes: &operations.PostTeamTeamsAttributes{\n                Name: \"Name\",\n                Currency: operations.PostTeamCurrencyUsd,\n                Address: latitudeshgosdk.Pointer(\"Address\"),\n            },\n        },\n    })\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.Object != nil {\n        // handle response\n    }\n}"
        - lang: typescript
          label: Typescript (SDK)
          source: |-
            import { Latitudesh } from "latitudesh-typescript-sdk";

            const latitudesh = new Latitudesh({
              bearer: process.env["LATITUDESH_BEARER"] ?? "",
            });

            async function run() {
              const result = await latitudesh.teams.create({
                data: {
                  type: "teams",
                  attributes: {
                    name: "Name",
                    currency: "USD",
                    address: "Address",
                  },
                },
              });

              console.log(result);
            }

            run();
components:
  schemas:
    team:
      type: object
      properties:
        id:
          type: string
        attributes:
          type: object
          properties:
            name:
              type: string
            slug:
              type: string
            description:
              type: string
              nullable: true
            address:
              type: string
              nullable: true
            currency:
              type: string
            created_at:
              type: string
            updated_at:
              type: string
            enforce_mfa:
              type: boolean
            users:
              type: array
              items:
                $ref: '#/components/schemas/user_include'
            projects:
              type: array
              items:
                $ref: '#/components/schemas/project_include'
            owner:
              $ref: '#/components/schemas/user_include'
            billing:
              type: object
              properties:
                id:
                  type: string
                customer_billing_id:
                  type: string
            feature_flags:
              type: array
              items:
                type: string
    user_include:
      type: object
      properties:
        id:
          type: string
        first_name:
          type: string
        last_name:
          type: string
        email:
          type: string
        authentication_factor_id:
          type: string
          nullable: true
        created_at:
          type: string
        updated_at:
          type: string
        role:
          type: object
          properties:
            id:
              type: string
            name:
              type: string
            created_at:
              type: string
            updated_at:
              type: string
    project_include:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        slug:
          type: string
        description:
          type: string
          nullable: true
        billing_type:
          type: string
          nullable: true
        provisioning_type:
          type: string
          nullable: true
        billing_method:
          type: string
          nullable: true
        bandwidth_alert:
          type: boolean
        environment:
          type: string
          nullable: true
        billing:
          type: object
          properties:
            subscription_id:
              type: string
              nullable: true
            type:
              type: string
            method:
              type: string
        stats:
          type: object
          properties:
            ip_addresses:
              type: integer
            prefixes:
              type: integer
            servers:
              type: integer
            vlans:
              type: integer
  securitySchemes:
    Bearer:
      type: apiKey
      name: Authorization
      in: header

````